aboutsummaryrefslogtreecommitdiffstats
path: root/main/iproute2/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-02-04 14:50:24 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-02-04 14:50:37 +0000
commit827c9855455dc26b069cb3bd94ab3beb154d35c9 (patch)
treed3fdef0845fc381c63a564a08615f768d42a0326 /main/iproute2/APKBUILD
parentc1aa02312cf6b47529e106709c0d197b653557d4 (diff)
downloadaports-827c9855455dc26b069cb3bd94ab3beb154d35c9.tar.gz
aports-827c9855455dc26b069cb3bd94ab3beb154d35c9.tar.bz2
aports-827c9855455dc26b069cb3bd94ab3beb154d35c9.tar.xz
main/iproute2: upgrade to 2.6.37
Diffstat (limited to 'main/iproute2/APKBUILD')
-rw-r--r--main/iproute2/APKBUILD23
1 files changed, 7 insertions, 16 deletions
diff --git a/main/iproute2/APKBUILD b/main/iproute2/APKBUILD
index 600696bc47..528fa444d1 100644
--- a/main/iproute2/APKBUILD
+++ b/main/iproute2/APKBUILD
@@ -1,8 +1,8 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=iproute2
-pkgver=2.6.35
+pkgver=2.6.37
_realver=$pkgver
-pkgrel=3
+pkgrel=0
pkgdesc="IP Routing Utilities"
url="http://www.linux-foundation.org/en/Net:Iproute2"
arch="all"
@@ -12,19 +12,15 @@ install="$pkgname.post-install $pkgname.post-deinstall"
makedepends="bison flex bash"
subpackages="$pkgname-doc"
source="http://devresources.linux-foundation.org/dev/iproute2/download/$pkgname-$_realver.tar.bz2
- 0001-iproute2-Fix-filtering-related-to-flushing-IP-addres.patch
- 0002-iproute2-dont-filter-cached-routes-on-iproute_get.patch
- 0003-Snapshot-for-2.6.35.1.patch
- 1-2-iproute2-treat-gre-key-as-number-1.patch
- 2-2-iproute2-support-xfrm-upper-protocol-gre-key-1.patch
"
prepare() {
cd "$srcdir"/$pkgname-$_realver
- for i in ../*.patch; do
- msg "Applying $i..."
- patch -p1 -i $i || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg "$i"; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
done
sed -i '/^TARGETS=/s: arpd : :' misc/Makefile
@@ -43,9 +39,4 @@ package() {
make -j1 DESTDIR="$pkgdir" install
}
-md5sums="b0f281b3124bf04669e18f5fe16d4934 iproute2-2.6.35.tar.bz2
-50992f46dd2a75ececdc5e54309e6b25 0001-iproute2-Fix-filtering-related-to-flushing-IP-addres.patch
-dbe155ebdb22fb2b30635c0bd2431c5b 0002-iproute2-dont-filter-cached-routes-on-iproute_get.patch
-084c0ee27a955d448705bbe51b70dc11 0003-Snapshot-for-2.6.35.1.patch
-a9ea5a0c50d8dbeafaff802318fcfac9 1-2-iproute2-treat-gre-key-as-number-1.patch
-ae6a91f9633a810f37854b8a2f5e19df 2-2-iproute2-support-xfrm-upper-protocol-gre-key-1.patch"
+md5sums="9774ff9d74ebd301bf56bd8d74473786 iproute2-2.6.37.tar.bz2"